?

Log in

No account? Create an account
Wakum Mata!
Politcally Incorrect Musings
I am secure 
4th-May-2006 09:51 pm
linux
I have the OTR plugin loaded into Gaim, now. You may now chat with me securely if you also use compatible software. Everything else is cleartext.
This page was loaded Nov 22nd 2017, 9:59 pm GMT.